For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManUnits

Get all concessions

GET
/v1/concessions/
GET
/v1/concessions/
$curl https://api.propexo.com/v1/concessions/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "sdPFT6040dA8y8lCPYd87tpdFtLASs",
18 "x_property_id": "ea387f8a-f93c-439f-80dd-29d6080c52cc",
19 "x_location_id": null,
20 "x_unit_id": "je387f8a-f93c-439f-80dd-29d6080c524e",
21 "x_floor_plan_id": "44069f6273ff0fea0900E2687251666b3ccadf8d1ccf582b30b34ae0d979d5b5",
22 "total_amount_in_cents": 100000,
23 "start_date": null,
24 "end_date": null,
25 "is_active": true,
26 "description": "Property Level Concession",
27 "is_one_time": null,
28 "is_recurring": null,
29 "monthly_fixed_amount_in_cents": null,
30 "monthly_percentage_amount": null,
31 "monthly_percentage_raw": null,
32 "one_time_fixed_amount_in_cents": null,
33 "one_time_percentage_amount": null,
34 "one_time_percentage_raw": null,
35 "number_of_occurrences": null,
36 "fixed_amount_in_cents": null,
37 "percentage_amount": null,
38 "percentage_raw": null,
39 "lease_term_in_months": 12,
40 "lease_term_raw": "12 months",
41 "concession_formula_raw": null,
42 "integration_id": "clwh5u07w000508me66sfh3um",
43 "integration_vendor": "RESMAN",
44 "property_id": "clwi5xiix000008l6ctdgafyh",
45 "unit_id": "testintegration:2:1:1",
46 "floor_plan_id": "testintegration:2:1:1"
47 }
48 ]
49}
Get all concessions
Was this page helpful?
Previous

Get concession by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error